Bug 974378 - BVT: Validation of volume set option "auth.allow" failed
BVT: Validation of volume set option "auth.allow" failed
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
All Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kaushal
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 02:19 EDT by Lalatendu Mohanty
Modified: 2013-06-24 08:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 08:32:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-06-14 02:19:16 EDT
Description of problem:
Validation of volume set option "auth.allow" failed.

Version-Release number of selected component (if applicable):

glusterfs-server-3.4.0.9rhs-1370968354.el6.x86_64.rpm (Nightly build for BVT runs. 

How reproducible:
Always

Steps to Reproduce:

volset_positive_test_auth.allow : volume set auth.allow on the volume(positive testcase)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [ 21:17:27 ] ::  Executing the volume set auth.allow on the volume volume-set
volume set: success
:: [   PASS   ] :: Running 'gluster volume set volume-set auth.allow openstack'
:: [ 21:17:30 ] ::  Executing validation in volume info
:: [   PASS   ] :: Validation of set option auth.allow in volume info is Successful
:: [ 21:17:31 ] ::  Executing validation in volume files
:: [   FAIL   ] :: Validation of set option auth.allow in vol file is Failed  
'765f37e7-0329-4bbc-aad6-9ffcf30c34bf'
volset-positive-test-auth-allow- result: FAIL


Actual results:


Expected results:

It should not fail

Additional info:
Comment 2 Kaushal 2013-06-20 01:52:12 EDT
What pattern are you searching for in the vol files? The auth.addr & auth.reject options are present in the brick volfiles only and have the pattern,

  option auth.addr.<brickpath>.{allow,reject} <value>

So, if on a volume 'test' is created with one brick 'host:/export/brick1', you set the option 'auth.allow' to 'example.com' , you will need to search for
  option auth.addr./export/brick1.allow example.org
in the volfile /var/lib/gluster/vols/test/test.host.export-brick.vol
Comment 3 Lalatendu Mohanty 2013-06-24 08:32:51 EDT
It is a automation code issue. closing the bug

Note You need to log in before you can comment on or make changes to this bug.